import apiHelper from './api.helper.js'

/**
 * 获取模板分类列表
 * @param name 账户名
 * @returns {Promise<AxiosResponse<T>>}
 */
export async function apiGetCategory(params) {
	const res = await apiHelper.post('/adapter/v2/custom', params)
	return res
}

/**
 * 获取模板分类列表详情
 * @param name 账户名
 * @returns {Promise<AxiosResponse<T>>}
 */
export async function apiGetCategoryDetail(params) {
	const res = await apiHelper.post('/adapter/v2/custom', params)
	return res
}

/**
 * 获取模板信息详情（已完成）
 * @param name 账户名
 * @returns {Promise<AxiosResponse<T>>}
 */
export async function apiGetCategoryDetailById(params) {
	const res = await apiHelper.post('/adapter/v2/custom', params)
	return res
}

/**
 * 获取合成图
 * @param name 账户名
 * @returns {Promise<AxiosResponse<T>>}
 */
export async function apiSaveCustom(params) {
	const res = await apiHelper.post('/adapter/v2/views', params)
	return res
}
/**
 * 提交定制图
 * @param name 账户名
 * @returns {Promise<AxiosResponse<T>>}
 */
export async function apiSubmitCustom(params) {
	const res = await apiHelper.post('/adapter/v1/views', params)
	return res
}
